Export dis-asm.h as part of an install
[binutils.git] / configure.in
blobc533c442b493163ab0b8a3013a9ed8f11fb10c8f
1 #! /bin/bash
2 ##############################################################################
4 ## This file is a shell script fragment that supplies the information
5 ## necessary to tailor a template configure script into the configure
6 ## script appropriate for this directory. For more information, check
7 ## any existing configure script.
9 ## Be warned, there are two types of configure.in files. There are those
10 ## used by Autoconf, which are macros which are expanded into a configure
11 ## script by autoconf. The other sort, of which this is one, is executed
12 ## by Cygnus configure.
14 ## For more information on these two systems, check out the documentation
15 ## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
17 # Copyright (C) 1992-99, 2000, 2001 Free Software Foundation, Inc.
19 # This file is free software; you can redistribute it and/or modify it
20 # under the terms of the GNU General Public License as published by
21 # the Free Software Foundation; either version 2 of the License, or
22 # (at your option) any later version.
24 # This program is distributed in the hope that it will be useful, but
25 # WITHOUT ANY WARRANTY; without even the implied warranty of
26 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
27 # General Public License for more details.
29 # You should have received a copy of the GNU General Public License
30 # along with this program; if not, write to the Free Software
31 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
33 ##############################################################################
35 ### To add a new directory to the tree, first choose whether it is a target
36 ### or a host dependent tool. Then put it into the appropriate list
37 ### (library or tools, host or target), doing a dependency sort. For
38 ### example, gdb requires that byacc (or bison) be built first, so it is in
39 ### the ${host_tools} list after byacc and bison.
42 # these libraries are used by various programs built for the host environment
44 host_libs="intl mmalloc libiberty opcodes bfd readline gash db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui"
46 if [ "${enable_gdbgui}" = "yes" ] ; then
47 host_libs="${host_libs} libgui"
50 # Set up configure/Makefile variables if libstdc++-v3 is to be built.
51 if [ "${enable_libstdcxx_v3}" = "yes" ] && test -d $srcdir/libstdc++-v3; then
52 libstdcxx_version="target-libstdc++-v3"
53 # Don't use libstdc++-v3's flags to configure/build itself.
54 libstdcxx_flags='`case $$dir in libstdc++-v3) ;; *) cat $$r/$(TARGET_SUBDIR)/libstdc++-v3/src/libstdc++.INC 2>/dev/null || : ;; esac` -L$$r/$(TARGET_SUBDIR)/libstd++-v3/src -L$$r/$(TARGET_SUBDIR)/libstd++-v3/src/.libs'
55 else
56 libstdcxx_version="target-libio target-libstdc++"
57 libstdcxx_flags='-isystem $$s/libstdc++ -isystem $$s/libstdc++/std -isystem $$s/libstdc++/stl -isystem $$s/libio/ -isystem $$s/libio/stdio -L$$r/$(TARGET_SUBDIR)/libstdc++'
60 # these tools are built for the host environment
61 # Note, the powerpc-eabi build depends on sim occurring before gdb in order to
62 # know that we are building the simulator.
63 host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip"
65 # these libraries are built for the target environment, and are built after
66 # the host libraries and the host tools (which may be a cross compiler)
68 target_libs="target-libiberty \
69 target-libgloss \
70 target-newlib \
71 ${libstdcxx_version} \
72 target-libf2c \
73 target-libchill \
74 target-libffi \
75 target-libjava \
76 target-zlib \
77 target-boehm-gc \
78 target-qthreads \
79 target-libobjc"
81 # these tools are built using the target libs, and are intended to run only
82 # in the target environment
84 # note: any program that *uses* libraries that are in the "target_libs"
85 # list belongs in this list. those programs are also very likely
86 # candidates for the "native_only" list which follows
88 target_tools="target-examples target-groff target-gperf"
90 ################################################################################
92 ## These two lists are of directories that are to be removed from the
93 ## ${configdirs} list for either cross-compilations or for native-
94 ## compilations. For example, it doesn't make that much sense to
95 ## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
96 ## a native environment.
98 # directories to be built in the native environment only
100 # This must be a single line because of the way it is searched by grep in
101 # the code below.
102 native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils gash uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
104 # directories to be built in a cross environment only
106 cross_only="target-libgloss target-newlib target-cygmon target-opcodes target-libstub"
108 ## All tools belong in one of the four categories, and are assigned above
109 ## We assign ${configdirs} this way to remove all embedded newlines. This
110 ## is important because configure will choke if they ever get through.
111 ## ${configdirs} is directories we build using the host tools.
112 ## ${target_configdirs} is directories we build using the target tools.
114 configdirs=`echo ${host_libs} ${host_tools}`
115 target_configdirs=`echo ${target_libs} ${target_tools}`
117 ################################################################################
119 srctrigger=move-if-change
120 srcname="gnu development package"
122 # This gets set non-empty for some net releases of packages.
123 appdirs=""
125 # per-host:
127 # Work in distributions that contain no compiler tools, like Autoconf.
128 if [ -d ${srcdir}/config ]; then
129 case "${host}" in
130 m68k-hp-hpux*)
131 host_makefile_frag="${host_makefile_frag} config/mh-hp300"
133 m68k-apollo-sysv*)
134 host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
136 m68k-apollo-bsd*)
137 host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
139 m88k-dg-dgux*)
140 host_makefile_frag="${host_makefile_frag} config/mh-dgux"
142 m88k-harris-cxux*)
143 host_makefile_frag="${host_makefile_frag} config/mh-cxux"
145 m88k-motorola-sysv*)
146 host_makefile_frag="${host_makefile_frag} config/mh-delta88"
148 mips*-dec-ultrix*)
149 host_makefile_frag="${host_makefile_frag} config/mh-decstation"
151 mips*-nec-sysv4*)
152 host_makefile_frag="${host_makefile_frag} config/mh-necv4"
154 mips*-sgi-irix6*)
155 host_makefile_frag="${host_makefile_frag} config/mh-irix6"
157 mips*-sgi-irix5*)
158 host_makefile_frag="${host_makefile_frag} config/mh-irix5"
160 mips*-sgi-irix4*)
161 host_makefile_frag="${host_makefile_frag} config/mh-irix4"
163 mips*-sgi-irix3*)
164 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
166 mips*-*-sysv4*)
167 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
169 mips*-*-sysv*)
170 host_makefile_frag="${host_makefile_frag} config/mh-riscos"
172 i370-ibm-opened*)
173 host_makefile_frag="${host_makefile_frag} config/mh-openedition"
175 i[3456]86-*-sysv5*)
176 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
178 i[3456]86-*-dgux*)
179 host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
181 i[3456]86-ncr-sysv4.3*)
182 host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
184 i[3456]86-ncr-sysv4*)
185 host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
187 i[3456]86-*-sco3.2v5*)
188 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
190 i[3456]86-*-sco*)
191 host_makefile_frag="${host_makefile_frag} config/mh-sco"
193 i[3456]86-*-udk*)
194 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
196 i[3456]86-*-isc*)
197 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
199 i[3456]86-*-solaris2*)
200 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
202 i[3456]86-*-aix*)
203 host_makefile_frag="${host_makefile_frag} config/mh-aix386"
205 i[3456]86-*-msdosdjgpp*)
206 host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
208 *-cygwin*)
209 host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
211 *-mingw32*)
212 host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
214 *-interix*)
215 host_makefile_frag="${host_makefile_frag} config/mh-interix"
217 *-windows*)
218 host_makefile_frag="${host_makefile_frag} config/mh-windows"
220 vax-*-ultrix2*)
221 host_makefile_frag="${host_makefile_frag} config/mh-vaxult2"
223 *-*-solaris2*)
224 host_makefile_frag="${host_makefile_frag} config/mh-solaris"
226 m68k-sun-sunos*)
227 host_makefile_frag="${host_makefile_frag} config/mh-sun3"
229 *-hp-hpux[78]*)
230 host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
232 *-hp-hpux*)
233 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
235 *-*-hiux*)
236 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
238 rs6000-*-lynxos*)
239 host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
241 *-*-lynxos*)
242 host_makefile_frag="${host_makefile_frag} config/mh-lynxos"
244 *-*-sysv4*)
245 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
247 *-*-sysv*)
248 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
250 esac
253 # If we aren't going to be using gcc, see if we can extract a definition
254 # of CC from the fragment.
255 if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
256 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
257 found=
258 for dir in $PATH; do
259 test -z "$dir" && dir=.
260 if test -f $dir/gcc; then
261 found=yes
262 break
264 done
265 IFS="$save_ifs"
266 if [ -z "${found}" ] && [ -n "${host_makefile_frag}" ] && [ -f "${srcdir}/${host_makefile_frag}" ]; then
267 xx=`sed -n -e 's/^[ ]*CC[ ]*=[ ]*\(.*\)$/\1/p' < ${srcdir}/${host_makefile_frag}`
268 if [ -n "${xx}" ] ; then
269 CC=$xx
274 # We default to --with-shared on platforms where -fpic is meaningless.
275 # Well, we don't yet, but we will.
276 if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
277 case "${target}" in
278 alpha*-dec-osf*) enable_shared=yes ;;
279 alpha*-*-linux*) enable_shared=yes ;;
280 mips-sgi-irix5*) enable_shared=yes ;;
281 *) enable_shared=no ;;
282 esac
285 case "${enable_shared}" in
286 yes) shared=yes ;;
287 no) shared=no ;;
288 "") shared=no ;;
289 *) shared=yes ;;
290 esac
292 if [ x${shared} = xyes ]; then
293 case "${host}" in
294 alpha*-*-linux*)
295 host_makefile_frag="${host_makefile_frag} config/mh-elfalphapic"
297 arm*-*-*)
298 host_makefile_frag="${host_makefile_frag} config/mh-armpic"
300 hppa*-*-*)
301 host_makefile_frag="${host_makefile_frag} config/mh-papic"
303 i[3456]86-*-cygwin*)
304 # We don't want -fPIC on Cygwin.
306 i[3456]86-*-*)
307 host_makefile_frag="${host_makefile_frag} config/mh-x86pic"
309 i370-*-*)
310 host_makefile_frag="${host_makefile_frag} config/mh-i370pic"
312 ia64-*-*)
313 host_makefile_frag="${host_makefile_frag} config/mh-ia64pic"
315 sparc64-*-*)
316 host_makefile_frag="${host_makefile_frag} config/mh-sparcpic"
318 powerpc*-*-aix*)
319 # We don't want -fPIC on AIX.
321 powerpc*-*-*)
322 host_makefile_frag="${host_makefile_frag} config/mh-ppcpic"
324 s390-* | s390x-*)
325 host_makefile_frag="${host_makefile_frag} config/mh-s390pic"
327 *-*-*)
328 if test -f ${srcdir}/config/mh-${host_cpu}pic; then
329 host_makefile_frag="${host_makefile_frag} config/mh-${host_cpu}pic"
332 esac
335 rm -f mh-frag
336 if [ -n "${host_makefile_frag}" ] ; then
337 for f in ${host_makefile_frag}
339 cat ${srcdir}/$f >> mh-frag
340 done
341 host_makefile_frag=mh-frag
344 # per-target:
346 case "${target}" in
347 v810*)
348 target_makefile_frag="${target_makefile_frag} config/mt-v810"
350 i[3456]86-*-netware*)
351 target_makefile_frag="${target_makefile_frag} config/mt-netware"
353 powerpc-*-netware*)
354 target_makefile_frag="${target_makefile_frag} config/mt-netware"
356 *-*-linux-gnu*)
357 target_makefile_frag="${target_makefile_frag} config/mt-linux"
359 *-*-aix4.[3456789]* | *-*-aix[56789].*)
360 target_makefile_frag="${target_makefile_frag} config/mt-aix43"
362 mips*-*-pe | sh*-*-pe | *arm-wince-pe)
363 target_makefile_frag="${target_makefile_frag} config/mt-wince"
365 esac
367 # If --enable-target-optspace always use -Os instead of -O2 to build
368 # the target libraries, similarly if it is not specified, use -Os
369 # on selected platforms.
370 case "${enable_target_optspace}:${target}" in
371 yes:*)
372 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
374 :d30v-*)
375 target_makefile_frag="${target_makefile_frag} config/mt-d30v"
377 :m32r-* | :d10v-* | :fr30-*)
378 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
380 no:* | :*)
383 echo "*** bad value \"${enable_target_optspace}\" for --enable-target-optspace flag; ignored" 1>&2
385 esac
387 skipdirs=
388 gasdir=gas
389 use_gnu_ld=
390 use_gnu_as=
392 # some tools are so dependent upon X11 that if we're not building with X,
393 # it's not even worth trying to configure, much less build, that tool.
395 case ${with_x} in
396 yes | "") # the default value for this tree is that X11 is available
399 skipdirs="${skipdirs} tk libgui gash"
402 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
404 esac
406 # Some tools are only suitable for building in a "native" situation.
407 # Those are added when we have a host==target configuration. For cross
408 # toolchains, we add some directories that should only be useful in a
409 # cross-compiler.
411 is_cross_compiler=
413 if [ x"${host}" = x"${target}" ] ; then
414 # when doing a native toolchain, don't build the targets
415 # that are in the 'cross only' list
416 skipdirs="${skipdirs} ${cross_only}"
417 is_cross_compiler=no
418 else
419 # similarly, don't build the targets in the 'native only'
420 # list when building a cross compiler
421 skipdirs="${skipdirs} ${native_only}"
422 is_cross_compiler=yes
425 # We always want to use the same name for this directory, so that dejagnu
426 # can reliably find it.
427 target_subdir=${target_alias}
429 if [ ! -d ${target_subdir} ] ; then
430 if mkdir ${target_subdir} ; then true
431 else
432 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
433 exit 1
437 build_subdir=${build_alias}
439 if [ x"${build_alias}" != x"${host}" ] ; then
440 if [ ! -d ${build_subdir} ] ; then
441 if mkdir ${build_subdir} ; then true
442 else
443 echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
444 exit 1
449 copy_dirs=
451 # Handle --with-headers=XXX. The contents of the named directory are
452 # copied to $(tooldir)/sys-include.
453 if [ x"${with_headers}" != x ]; then
454 if [ x${is_cross_compiler} = xno ]; then
455 echo 1>&2 '***' --with-headers is only supported when cross compiling
456 exit 1
458 case "${exec_prefixoption}" in
459 "") x=${prefix} ;;
460 *) x=${exec_prefix} ;;
461 esac
462 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
465 # Handle --with-libs=XXX. Multiple directories are permitted. The
466 # contents are copied to $(tooldir)/lib.
467 if [ x"${with_libs}" != x ]; then
468 if [ x${is_cross_compiler} = xno ]; then
469 echo 1>&2 '***' --with-libs is only supported when cross compiling
470 exit 1
472 # Copy the libraries in reverse order, so that files in the first named
473 # library override files in subsequent libraries.
474 case "${exec_prefixoption}" in
475 "") x=${prefix} ;;
476 *) x=${exec_prefix} ;;
477 esac
478 for l in ${with_libs}; do
479 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
480 done
483 # If both --with-headers and --with-libs are specified, default to
484 # --without-newlib.
485 if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
486 if [ x"${with_newlib}" = x ]; then
487 with_newlib=no
491 # Recognize --with-newlib/--without-newlib.
492 if [ x${with_newlib} = xno ]; then
493 skipdirs="${skipdirs} target-newlib"
494 elif [ x${with_newlib} = xyes ]; then
495 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
498 # Default to using --with-stabs for certain targets.
499 if [ x${with_stabs} = x ]; then
500 case "${target}" in
501 mips*-*-irix6*)
503 mips*-*-* | alpha*-*-osf*)
504 with_stabs=yes;
505 withoptions="${withoptions} --with-stabs"
507 esac
510 # Handle ${copy_dirs}
511 set fnord ${copy_dirs}
512 shift
513 while [ $# != 0 ]; do
514 if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
516 else
517 echo Copying $1 to $2
519 # Use the install script to create the directory and all required
520 # parent directories.
521 if [ -d $2 ]; then
523 else
524 echo >config.temp
525 ${srcdir}/install-sh -c -m 644 config.temp $2/COPIED
528 # Copy the directory, assuming we have tar.
529 # FIXME: Should we use B in the second tar? Not all systems support it.
530 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
532 # It is the responsibility of the user to correctly adjust all
533 # symlinks. If somebody can figure out how to handle them correctly
534 # here, feel free to add the code.
536 echo $1 > $2/COPIED
538 shift; shift
539 done
541 # Configure extra directories which are host specific
543 case "${host}" in
544 i[3456]86-*-go32*)
545 configdirs="$configdirs dosrel" ;;
546 i[3456]86-*-mingw32*)
547 configdirs="$configdirs dosrel" ;;
548 *-cygwin*)
549 configdirs="$configdirs libtermcap dosrel" ;;
550 esac
552 # Remove more programs from consideration, based on the host or
553 # target this usually means that a port of the program doesn't
554 # exist yet.
556 noconfigdirs=""
558 case "${host}" in
559 i[3456]86-*-vsta)
560 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext"
562 i[3456]86-*-go32* | i[3456]86-*-msdosdjgpp*)
563 noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext libffi"
565 i[3456]86-*-mingw32*)
566 # noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv"
567 noconfigdirs="expect dejagnu cvs autoconf automake send-pr rcs guile perl texinfo apache inet libtool"
569 i[3456]86-*-beos*)
570 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb"
572 *-*-cygwin*)
573 noconfigdirs="autoconf automake send-pr rcs guile perl apache inet"
575 *-*-netbsd*)
576 noconfigdirs="rcs"
578 ppc*-*-pe)
579 noconfigdirs="patch diff make tk tcl expect dejagnu cvssrc autoconf automake texinfo bison send-pr gprof rcs guile perl apache inet itcl tix db snavigator gnuserv"
581 powerpc-*-beos*)
582 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb dejagnu readline"
584 esac
587 # Save it here so that, even in case of --enable-libgcj, if the Java
588 # front-end isn't enabled, we still get libgcj disabled.
589 libgcj_saved=$libgcj
590 case $enable_libgcj in
591 yes)
592 # If we reset it here, it won't get added to noconfigdirs in the
593 # target-specific build rules, so it will be forcibly enabled
594 # (unless the Java language itself isn't enabled).
595 libgcj=
598 # Make sure we get it printed in the list of not supported target libs.
599 noconfigdirs="$noconfigdirs ${libgcj}"
601 esac
603 case "${target}" in
604 *-*-netbsd*)
605 # Skip some stuff on all NetBSD configurations.
606 skipdirs="$skipdirs target-newlib target-libiberty target-libgloss"
608 # Skip some stuff that's unsupported on some NetBSD configurations.
609 case "${target}" in
611 noconfigdirs="$noconfigdirs ${libgcj}"
613 esac
615 *-*-netware)
616 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-newlib target-libiberty target-libgloss target-libffi"
618 *-*-rtems*)
619 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
621 *-*-vxworks*)
622 noconfigdirs="$noconfigdirs target-newlib target-libgloss target-libffi"
624 alpha*-dec-osf*)
625 # ld works, but does not support shared libraries. emacs doesn't
626 # work. newlib is not 64 bit ready. I'm not sure about fileutils.
627 # gas doesn't generate exception information.
628 noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
630 alpha*-*-*vms*)
631 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss target-libffi"
633 alpha*-*-*)
634 # newlib is not 64 bit ready
635 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
637 sh*-*-pe|mips*-*-pe|*arm-wince-pe)
638 noconfigdirs="$noconfigdirs target-libjava target-libffi target-zlib"
639 noconfigdirs="$noconfigdirs target-boehm-gc target-qthreads target-examples"
640 noconfigdirs="$noconfigdirs target-libiberty texinfo send-pr"
641 noconfigdirs="$noconfigdirs tcl tix tk itcl libgui sim"
642 noconfigdirs="$noconfigdirs expect dejagnu"
643 # the C++ libraries don't build on top of CE's C libraries
644 noconfigdirs="$noconfigdirs ${libstdcxx_version}"
645 skipdirs="$skipdirs target-newlib"
646 case "${host}" in
647 *-*-cygwin*) ;; # keep gdb and readline
648 *) noconfigdirs="$noconfigdirs gdb readline ${libstdcxx_version}"
650 esac
652 arc-*-*)
653 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
655 arm-*-pe*)
656 noconfigdirs="$noconfigdirs target-libgloss"
658 arm-*-oabi*)
659 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
661 thumb-*-coff)
662 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
664 thumb-*-elf)
665 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
667 thumb-*-oabi)
668 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
670 strongarm-*-elf)
671 noconfigdirs="$noconfigdirs target-libffi"
672 if [ x${is_cross_compiler} != xno ] ; then
673 target_configdirs="${target_configdirs} target-bsp target-cygmon"
676 strongarm-*-coff)
677 noconfigdirs="$noconfigdirs target-libffi"
678 if [ x${is_cross_compiler} != xno ] ; then
679 target_configdirs="${target_configdirs} target-bsp target-cygmon"
682 xscale-*-elf)
683 noconfigdirs="$noconfigdirs target-libffi"
684 if [ x${is_cross_compiler} != xno ] ; then
685 target_configdirs="${target_configdirs} target-bsp target-cygmon"
688 xscale-*-coff)
689 noconfigdirs="$noconfigdirs target-libffi"
690 if [ x${is_cross_compiler} != xno ] ; then
691 target_configdirs="${target_configdirs} target-bsp target-cygmon"
694 thumb-*-pe)
695 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
697 arm-*-riscix*)
698 noconfigdirs="$noconfigdirs ld target-libgloss target-libffi"
700 c4x-*-*)
701 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss target-libffi"
703 c54x*-*-* | tic54x-*-*)
704 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss target-libffi gcc gdb newlib"
706 d10v-*-*)
707 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss target-libffi"
709 d30v-*-*)
711 fr30-*-elf*)
712 if [ x${is_cross_compiler} != xno ] ; then
713 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
716 h8300*-*-*)
717 noconfigdirs="$noconfigdirs target-libgloss"
719 h8500-*-*)
720 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss target-libffi"
722 hppa*-*-*elf* | \
723 hppa*-*-linux-gnu* | \
724 hppa*-*-lites* | \
725 hppa*64*-*-*)
726 # Do configure ld/binutils/gas for this case.
728 hppa*-*-*)
729 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
730 # cc is gcc, and on any system a user should be able to link cc to
731 # whatever they want. FIXME, emacs emacs19).
732 case "${CC}" in
733 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
734 *) ;;
735 esac
736 # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
737 # build on HP-UX 10.20.
738 noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
740 ia64*-*-elf*)
741 # No gdb support yet.
742 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb"
744 ia64*-**-hpux*)
745 # No gdb or ld support yet.
746 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb ld"
748 i[3456]86-*-coff | i[3456]86-*-elf)
749 if [ x${is_cross_compiler} != xno ] ; then
750 target_configdirs="${target_configdirs} target-libstub target-cygmon"
753 i[3456]86-*-go32* | i[3456]-*-msdosdjgpp*)
754 # but don't build gdb
755 noconfigdirs="$noconfigdirs gdb ${libstdcxx_version} target-libffi"
757 i[3456]86-*-mingw32*)
758 target_configdirs="$target_configdirs target-mingw"
759 noconfigdirs="$noconfigdirs expect target-libgloss ${libgcj}"
761 # Can't build gdb for mingw32 if not native.
762 case "${host}" in
763 i[3456]86-*-mingw32) ;; # keep gdb tcl tk expect etc.
764 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix db snavigator gnuserv"
766 esac
768 *-*-cygwin*)
769 target_configdirs="$target_configdirs target-libtermcap target-winsup"
770 noconfigdirs="$noconfigdirs target-gperf target-libgloss ${libgcj}"
771 # always build newlib.
772 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
774 # Can't build gdb for Cygwin if not native.
775 case "${host}" in
776 *-*-cygwin*) ;; # keep gdb tcl tk expect etc.
777 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix libgui db snavigator gnuserv"
779 esac
781 i[3456]86-*-pe)
782 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss target-libffi"
784 i[3456]86-*-sco3.2v5*)
785 # The linker does not yet know about weak symbols in COFF,
786 # and is not configured to handle mixed ELF and COFF.
787 noconfigdirs="$noconfigdirs ld target-libgloss target-libffi"
789 i[3456]86-*-sco*)
790 noconfigdirs="$noconfigdirs gprof target-libgloss target-libffi"
792 i[3456]86-*-solaris2*)
793 noconfigdirs="$noconfigdirs target-libgloss"
795 i[3456]86-*-sysv4*)
796 # The SYSV4 C compiler doesn't handle Emacs correctly
797 case "${CC}" in
798 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
799 *) ;;
800 esac
801 # but that's okay since emacs doesn't work anyway
802 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss target-libffi"
804 i[3456]86-*-beos*)
805 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
807 m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*)
808 noconfigdirs="$noconfigdirs target-libiberty target-librx target-libg++ target-libstdc++ target-libio target-libf2c target-libchill target-zlib target-libobjc"
810 m68k-*-elf*)
811 if [ x${is_cross_compiler} != xno ] ; then
812 target_configdirs="${target_configdirs} target-bsp target-cygmon"
815 m68k-*-coff*)
816 if [ x${is_cross_compiler} != xno ] ; then
817 target_configdirs="${target_configdirs} target-bsp target-cygmon"
820 mn10200-*-*)
821 noconfigdirs="$noconfigdirs target-libffi"
822 if [ x${is_cross_compiler} != xno ] ; then
823 target_configdirs="${target_configdirs} target-libstub target-cygmon"
826 mn10300-*-*)
827 noconfigdirs="$noconfigdirs target-libffi"
828 if [ x${is_cross_compiler} != xno ] ; then
829 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
832 powerpc-*-aix*)
833 # copied from rs6000-*-* entry
834 use_gnu_ld=yes
836 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
837 target_configdirs="$target_configdirs target-winsup"
838 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss itcl tix db snavigator gnuserv target-libffi"
839 # always build newlib.
840 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
842 # This is temporary until we can link against shared libraries
843 powerpcle-*-solaris*)
844 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect itcl tix db snavigator gnuserv target-libffi"
846 powerpc-*-beos*)
847 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss"
849 powerpc-*-eabi)
850 if [ x${is_cross_compiler} != xno ] ; then
851 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
854 rs6000-*-lynxos*)
855 # The CVS server code doesn't work on the RS/6000
856 noconfigdirs="$noconfigdirs target-newlib gprof cvssrc target-libffi"
858 rs6000-*-aix*)
859 noconfigdirs="$noconfigdirs gprof target-libffi"
860 use_gnu_ld=yes
862 rs6000-*-*)
863 noconfigdirs="$noconfigdirs gprof target-libffi"
865 m68k-apollo-*)
866 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss target-libffi"
868 mips*-*-irix5*)
869 # The GNU linker does not support shared libraries.
870 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
871 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss"
873 mips*-*-irix6*)
874 # The GNU assembler does not support IRIX 6.
875 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
876 # Linking libjava exceeds command-line length limits on at least
877 # IRIX 6.2, but not on IRIX 6.5.
878 # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
879 # <oldham@codesourcery.com>
880 noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
882 mips*-dec-bsd*)
883 noconfigdirs="$noconfigdirs gprof target-libgloss target-libffi"
885 mips*-*-bsd*)
886 noconfigdirs="$noconfigdirs gprof target-libgloss target-libffi"
888 mipstx39-*-*)
889 noconfigdirs="$noconfigdirs gprof target-libffi" # same as generic mips
890 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
892 mips*-*-*)
893 noconfigdirs="$noconfigdirs gprof target-libffi"
895 romp-*-*)
896 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss target-libffi"
898 sh-*-*)
899 case "${host}" in
900 i[3456]86-*-vsta) ;; # don't add gprof back in
901 i[3456]86-*-go32*) ;; # don't add gprof back in
902 i[3456]86-*-msdosdjgpp*) ;; # don't add gprof back in
903 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
904 esac
905 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
907 sh64-*-*)
908 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
910 sparc-*-elf*)
911 if [ x${is_cross_compiler} != xno ] ; then
912 target_configdirs="${target_configdirs} target-libstub target-cygmon"
915 sparc64-*-elf*)
916 if [ x${is_cross_compiler} != xno ] ; then
917 target_configdirs="${target_configdirs} target-libstub target-cygmon"
919 noconfigdirs="$noconfigdirs target-libffi"
921 sparclite-*-*)
922 if [ x${is_cross_compiler} != xno ] ; then
923 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
925 noconfigdirs="$noconfigdirs target-libffi"
927 sparc-*-sunos4*)
928 if [ x${is_cross_compiler} != xno ] ; then
929 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
930 else
931 use_gnu_ld=no
934 sparc-*-solaris*)
935 case "${host}" in
936 sparc-*-solaris2.8)
937 # According to Gerald Pfeifer <pfeifer@dbai.tuwien.ac.at>, libjava
938 # won't build correctly on Solaris 8 if there's a
939 # previously-installed version of GCC in the configured prefix.
940 # This problem does not show up on earlier versions of Solaris.
941 noconfigdirs="$noconfigdirs ${libgcj}"
943 esac
945 v810-*-*)
946 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss target-libffi"
948 v850-*-*)
949 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
951 v850e-*-*)
952 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
954 v850ea-*-*)
955 noconfigdirs="$noconfigdirs target-libgloss target-libffi"
957 vax-*-vms)
958 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss target-libffi"
960 vax-*-*)
961 noconfigdirs="$noconfigdirs target-newlib target-libgloss target-libffi"
963 *-*-lynxos*)
964 noconfigdirs="$noconfigdirs target-newlib target-libgloss target-libffi"
966 *-*-macos* | \
967 *-*-mpw*)
968 # Macs want a resource compiler.
969 configdirs="$configdirs grez"
970 noconfigdirs="$noconfigdirs target-libffi"
972 esac
974 # If we aren't building newlib, then don't build libgloss, since libgloss
975 # depends upon some newlib header files.
976 case "${noconfigdirs}" in
977 *target-libgloss*) ;;
978 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
979 esac
981 # Make sure we don't let GNU ld be added if we didn't want it.
982 if [ x$with_gnu_ld = xno ]; then
983 use_gnu_ld=no
984 noconfigdirs="$noconfigdirs ld"
987 # Make sure we don't let GNU as be added if we didn't want it.
988 if [ x$with_gnu_as = xno ]; then
989 use_gnu_as=no
990 noconfigdirs="$noconfigdirs gas"
993 # Figure out what language subdirectories are present.
994 # Look if the user specified --enable-languages="..."; if not, use
995 # the environment variable $LANGUAGES if defined. $LANGUAGES might
996 # go away some day.
997 # NB: embedded tabs in this IF block -- do not untabify
998 if test x"${enable_languages+set}" != xset; then
999 if test x"${LANGUAGES+set}" = xset; then
1000 enable_languages="${LANGUAGES}"
1001 echo configure.in: warning: setting LANGUAGES is deprecated, use --enable-languages instead 1>&2
1002 else
1003 enable_languages=all
1005 else
1006 if test x"${enable_languages}" = x ||
1007 test x"${enable_languages}" = xyes;
1008 then
1009 echo configure.in: --enable-languages needs at least one language argument 1>&2
1010 exit 1
1013 enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
1015 subdirs=
1016 for lang in ${srcdir}/gcc/*/config-lang.in ..
1018 case $lang in
1019 ..) ;;
1020 # The odd quoting in the next line works around
1021 # an apparent bug in bash 1.12 on linux.
1022 ${srcdir}/gcc/[*]/config-lang.in) ;;
1024 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1025 this_lang_libs=`sed -n -e 's,^target_libs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^target_libs=\([^ ]*\).*$,\1,p' $lang`
1026 build_by_default=`sed -n -e 's,^build_by_default=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^build_by_default=\([^ ]*\).*$,\1,p' $lang`
1027 if test "x$lang_alias" = x
1028 then
1029 echo "$lang doesn't set \$language." 1>&2
1030 exit 1
1032 case ${build_by_default},${enable_languages}, in
1033 *,$lang_alias,*) add_this_lang=yes ;;
1034 no,*) add_this_lang=no ;;
1035 *,all,*) add_this_lang=yes ;;
1036 *) add_this_lang=no ;;
1037 esac
1038 if test x"${add_this_lang}" = xyes; then
1039 eval target_libs='"$target_libs "'\"$this_lang_libs\"
1040 else
1041 eval noconfigdirs='"$noconfigdirs "'\"$this_lang_libs\"
1044 esac
1045 done
1048 # Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
1049 # $target_configdirs.
1050 # If we have the source for $noconfigdirs entries, add them to $notsupp.
1052 notsupp=""
1053 for dir in . $skipdirs $noconfigdirs ; do
1054 dirname=`echo $dir | sed -e s/target-//g`
1055 if [ $dir != . ] && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1056 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
1057 if [ -r $srcdir/$dirname/configure ] \
1058 || [ -r $srcdir/$dirname/configure.in ]; then
1059 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1060 true
1061 else
1062 notsupp="$notsupp $dir"
1066 if [ $dir != . ] && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1067 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
1068 if [ -r $srcdir/$dirname/configure ] \
1069 || [ -r $srcdir/$dirname/configure.in ]; then
1070 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1071 true
1072 else
1073 notsupp="$notsupp $dir"
1077 done
1079 # Sometimes the tools are distributed with libiberty but with no other
1080 # libraries. In that case, we don't want to build target-libiberty.
1081 if [ -n "${target_configdirs}" ]; then
1082 others=
1083 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1084 if [ "$i" != "libiberty" ]; then
1085 if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
1086 others=yes;
1087 break;
1090 done
1091 if [ -z "${others}" ]; then
1092 target_configdirs=
1096 # Deconfigure all subdirectories, in case we are changing the
1097 # configuration from one where a subdirectory is supported to one where it
1098 # is not.
1099 if [ -z "${norecursion}" ] && [ -n "${configdirs}" ]; then
1100 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
1101 rm -f $i/Makefile
1102 done
1104 if [ -z "${norecursion}" ] && [ -n "${target_configdirs}" ]; then
1105 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1106 rm -f ${target_subdir}/$i/Makefile
1107 done
1110 # Produce a warning message for the subdirs we can't configure.
1111 # This isn't especially interesting in the Cygnus tree, but in the individual
1112 # FSF releases, it's important to let people know when their machine isn't
1113 # supported by the one or two programs in a package.
1115 if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
1116 # If $appdirs is non-empty, at least one of those directories must still
1117 # be configured, or we error out. (E.g., if the gas release supports a
1118 # specified target in some subdirs but not the gas subdir, we shouldn't
1119 # pretend that all is well.)
1120 if [ -n "$appdirs" ]; then
1121 for dir in $appdirs ; do
1122 if [ -r $dir/Makefile.in ]; then
1123 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1124 appdirs=""
1125 break
1127 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1128 appdirs=""
1129 break
1132 done
1133 if [ -n "$appdirs" ]; then
1134 echo "*** This configuration is not supported by this package." 1>&2
1135 exit 1
1138 # Okay, some application will build, or we don't care to check. Still
1139 # notify of subdirs not getting built.
1140 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
1141 echo " ${notsupp}" 1>&2
1142 echo " (Any other directories should still work fine.)" 1>&2
1145 # Set with_gnu_as and with_gnu_ld as appropriate.
1147 # This is done by determining whether or not the appropriate directory
1148 # is available, and by checking whether or not specific configurations
1149 # have requested that this magic not happen.
1151 # The command line options always override the explicit settings in
1152 # configure.in, and the settings in configure.in override this magic.
1154 # If the default for a toolchain is to use GNU as and ld, and you don't
1155 # want to do that, then you should use the --without-gnu-as and
1156 # --without-gnu-ld options for the configure script.
1158 if [ x${use_gnu_as} = x ] ; then
1159 if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
1160 with_gnu_as=yes
1161 withoptions="$withoptions --with-gnu-as"
1165 if [ x${use_gnu_ld} = x ] ; then
1166 if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
1167 with_gnu_ld=yes
1168 withoptions="$withoptions --with-gnu-ld"
1172 # If using newlib, add --with-newlib to the withoptions so that gcc/configure
1173 # can detect this case.
1175 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1176 with_newlib=yes
1177 withoptions="$withoptions --with-newlib"
1180 if [ x${shared} = xyes ]; then
1181 case "${target}" in
1182 hppa*)
1183 target_makefile_frag="${target_makefile_frag} config/mt-papic"
1185 i[3456]86-*)
1186 target_makefile_frag="${target_makefile_frag} config/mt-x86pic"
1188 ia64-*)
1189 target_makefile_frag="${target_makefile_frag} config/mt-ia64pic"
1191 powerpc*-*-aix*)
1192 # We don't want -fPIC on AIX.
1194 powerpc*-*)
1195 target_makefile_frag="${target_makefile_frag} config/mt-ppcpic"
1197 alpha*-*-linux*)
1198 target_makefile_frag="${target_makefile_frag} config/mt-elfalphapic"
1201 if test -f ${srcdir}/config/mt-${target_cpu}pic; then
1202 target_makefile_frag="${target_makefile_frag} config/mt-${target_cpu}pic"
1205 esac
1208 rm -f mt-frag
1209 if [ -n "${target_makefile_frag}" ] ; then
1210 for f in ${target_makefile_frag}
1212 cat ${srcdir}/$f >> mt-frag
1213 done
1214 target_makefile_frag=mt-frag
1217 # post-target:
1219 # Make sure that the compiler is able to generate an executable. If it
1220 # can't, we are probably in trouble. We don't care whether we can run the
1221 # executable--we might be using a cross compiler--we only care whether it
1222 # can be created. At this point the main configure script has set CC.
1223 echo "int main () { return 0; }" > conftest.c
1224 ${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
1225 if [ $? = 0 ] && [ -s conftest -o -s conftest.exe ]; then
1227 else
1228 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
1229 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
1230 rm -f conftest*
1231 exit 1
1233 rm -f conftest*
1235 # The Solaris /usr/ucb/cc compiler does not appear to work.
1236 case "${host}" in
1237 sparc-sun-solaris2*)
1238 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
1239 if [ "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ] ; then
1240 could_use=
1241 [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
1242 if [ -d /opt/cygnus/bin ] ; then
1243 if [ "$could_use" = "" ] ; then
1244 could_use="/opt/cygnus/bin"
1245 else
1246 could_use="$could_use or /opt/cygnus/bin"
1249 if [ "$could_use" = "" ] ; then
1250 echo "Warning: compilation may fail because you're using"
1251 echo "/usr/ucb/cc. You should change your PATH or CC "
1252 echo "variable and rerun configure."
1253 else
1254 echo "Warning: compilation may fail because you're using"
1255 echo "/usr/ucb/cc, when you should use the C compiler from"
1256 echo "$could_use. You should change your"
1257 echo "PATH or CC variable and rerun configure."
1261 esac
1263 # If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
1264 # binutils tools will find libbfd.so.
1265 if [ "${shared}" = "yes" ]; then
1266 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
1267 Makefile > Makefile.tem
1268 rm -f Makefile
1269 mv -f Makefile.tem Makefile
1271 case "${host}" in
1272 *-*-hpux*)
1273 sed -e 's/^RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
1274 Makefile > Makefile.tem
1275 rm -f Makefile
1276 mv -f Makefile.tem Makefile
1278 esac
1281 # Record target_configdirs and the configure arguments for target and
1282 # build configuration in Makefile.
1283 target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
1284 targargs=`echo "${arguments}" | \
1285 sed -e 's/--no[^ ]*//' \
1286 -e 's/--cache[a-z-]*=[^ ]*//' \
1287 -e 's/--ho[a-z-]*=[^ ]*//' \
1288 -e 's/--bu[a-z-]*=[^ ]*//' \
1289 -e 's/--ta[a-z-]*=[^ ]*//'`
1291 # For the build-side libraries, we just need to pretend we're native,
1292 # and not use the same cache file. Multilibs are neither needed nor
1293 # desired.
1294 buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
1296 # Passing a --with-cross-host argument lets the target libraries know
1297 # whether they are being built with a cross-compiler or being built
1298 # native. However, it would be better to use other mechanisms to make the
1299 # sorts of decisions they want to make on this basis. Please consider
1300 # this option to be deprecated. FIXME.
1301 if [ x${is_cross_compiler} = xyes ]; then
1302 targargs="--with-cross-host=${host_alias} ${targargs}"
1305 # Default to --enable-multilib.
1306 if [ x${enable_multilib} = x ]; then
1307 targargs="--enable-multilib ${targargs}"
1310 # Pass --with-newlib if appropriate. Note that target_configdirs has
1311 # changed from the earlier setting of with_newlib.
1312 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1313 targargs="--with-newlib ${targargs}"
1316 # Pass the appropriate --host, --build, and --cache-file arguments.
1317 targargs="--cache-file=../config.cache --host=${target_alias} --build=${build_alias} ${targargs}"
1319 # provide a proper gxx_include_dir.
1320 # Note, if you change the default, make sure to fix both here and in
1321 # the gcc, libio, and libstdc++ subdirectories.
1322 # Check whether --with-gxx-include-dir or --without-gxx-include-dir was given.
1323 gxx_include_dir=
1324 if test -n "${with_gxx_include_dir}"; then
1325 case "${with_gxx_include_dir}" in
1326 yes )
1327 echo "configure.in: error: bad value ${withval} given for g++ include directory" 1>&2
1328 exit 1
1330 no )
1333 gxx_include_dir=${with_gxx_include_dir}
1335 esac
1337 if test x${gxx_include_dir} = x; then
1338 if test x${enable_version_specific_runtime_libs} = xyes; then
1339 gxx_include_dir='${libsubdir}/include/g++'
1340 else
1341 . ${topsrcdir}/config.if
1342 gxx_include_dir='${prefix}/include/g++'-${libstdcxx_interface}
1344 else
1345 gxx_include_dir=${gxx_include_dir}
1348 FLAGS_FOR_TARGET=
1349 case " $skipdirs " in
1350 *" target-newlib "*) ;;
1352 case "$target" in
1353 *-cygwin*)
1354 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/$(TARGET_SUBDIR)/winsup -L$$r/$(TARGET_SUBDIR)/winsup/cygwin -L$$r/$(TARGET_SUBDIR)/winsup/w32api/lib -isystem $$s/winsup/include -isystem $$s/winsup/cygwin/include -isystem $$s/winsup/w32api/include -isystem $$s/newlib/libc/sys/cygwin -isystem $$s/newlib/libc/sys/cygwin32' ;;
1355 esac
1357 # If we're not building GCC, don't discard standard headers.
1358 if test -d ${topsrcdir}/gcc; then
1359 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
1361 if test "${build}" != "${host}"; then
1362 # On Canadian crosses, CC_FOR_TARGET will have already been set
1363 # by `configure', so we won't have an opportunity to add -Bgcc/
1364 # to it. This is right: we don't want to search that directory
1365 # for binaries, but we want the header files in there, so add
1366 # them explicitly.
1367 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -isystem $$r/gcc/include'
1369 # Someone might think of using the pre-installed headers on
1370 # Canadian crosses, in case the installed compiler is not fully
1371 # compatible with the compiler being built. In this case, it
1372 # would be better to flag an error than risking having
1373 # incompatible object files being constructed. We can't
1374 # guarantee that an error will be flagged, but let's hope the
1375 # compiler will do it, when presented with incompatible header
1376 # files.
1380 case "${target}-${is_cross_compiler}" in
1381 i[3456]86-pc-linux*-no)
1382 # Here host == target, so we don't need to build gcc,
1383 # so we don't want to discard standard headers.
1384 FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
1385 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
1388 # If we're building newlib, use its generic headers last, but search
1389 # for any libc-related directories first (so make it the last -B
1390 # switch).
1391 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/ -isystem $$r/$(TARGET_SUBDIR)/newlib/targ-include -isystem $$s/newlib/libc/include'
1393 esac
1395 esac
1397 # On Canadian crosses, we'll be searching the right directories for
1398 # the previously-installed cross compiler, so don't bother to add
1399 # flags for directories within the install tree of the compiler
1400 # being built; programs in there won't even run.
1401 if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
1402 # Search for pre-installed headers if nothing else fits.
1403 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
1406 if test "x${use_gnu_ld}" = x && test "x${with_gnu_ld}" != xno &&
1407 echo " ${configdirs} " | grep " ld " > /dev/null &&
1408 test -d ${srcdir}/ld; then
1409 # Arrange for us to find uninstalled linker scripts.
1410 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/ld'
1413 if test "x${CC_FOR_TARGET+set}" = xset; then
1415 elif test -d ${topsrcdir}/gcc; then
1416 CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
1417 elif test "$host" = "$target"; then
1418 CC_FOR_TARGET='$(CC)'
1419 else
1420 CC_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1422 # On Canadian crosses, configure reads CC_FOR_TARGET from Makefile,
1423 # if Makefile exists. Prevent $(FLAGS_FOR_TARGET) from being duplicated.
1424 case $CC_FOR_TARGET in
1425 *' $(FLAGS_FOR_TARGET)') ;;
1426 *) CC_FOR_TARGET=$CC_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1427 esac
1429 if test "x${CHILL_FOR_TARGET+set}" = xset; then
1431 elif test -d ${topsrcdir}/gcc; then
1432 CHILL_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/ -L$$r/gcc/ch/runtime/'
1433 elif test "$host" = "$target"; then
1434 CHILL_FOR_TARGET='$(CC)'
1435 else
1436 CHILL_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1438 case $CHILL_FOR_TARGET in
1439 *' $(FLAGS_FOR_TARGET)') ;;
1440 *) CHILL_FOR_TARGET=$CHILL_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1441 esac
1443 if test "x${CXX_FOR_TARGET+set}" = xset; then
1445 elif test -d ${topsrcdir}/gcc; then
1446 CXX_FOR_TARGET='$$r/gcc/`case $$dir in libstdc++-v3) echo xgcc ;; *) echo g++ ;; esac` -B$$r/gcc/ -nostdinc++ '$libstdcxx_flags
1447 elif test "$host" = "$target"; then
1448 CXX_FOR_TARGET='$(CXX)'
1449 else
1450 CXX_FOR_TARGET=`echo c++ | sed -e 's/x/x/' ${program_transform_name}`
1452 case $CXX_FOR_TARGET in
1453 *' $(FLAGS_FOR_TARGET)') ;;
1454 *) CXX_FOR_TARGET=$CXX_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1455 esac
1456 qCXX_FOR_TARGET=`echo "$CXX_FOR_TARGET" | sed 's,[&%],\\\&,g'`
1458 # We want to defer the evaluation of `cmd`s and shell variables in
1459 # CXX_FOR_TARGET when recursing in the top-level Makefile, such as for
1460 # bootstrap. We'll enclose CXX_FOR_TARGET_FOR_RECURSIVE_MAKE in single
1461 # quotes, but we still have to duplicate `$'s so that shell variables
1462 # can be expanded by the nested make as shell variables, not as make
1463 # macros.
1464 qqCXX_FOR_TARGET=`echo "$qCXX_FOR_TARGET" | sed -e 's,[$][$],$$$$,g'`
1466 sed -e "s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:" \
1467 -e "s%^TARGET_CONFIGARGS[ ]*=.*$%TARGET_CONFIGARGS = ${targargs}%" \
1468 -e "s%^FLAGS_FOR_TARGET[ ]*=.*$%FLAGS_FOR_TARGET = ${FLAGS_FOR_TARGET}%" \
1469 -e "s%^CC_FOR_TARGET[ ]*=.*$%CC_FOR_TARGET = ${CC_FOR_TARGET}%" \
1470 -e "s%^CHILL_FOR_TARGET[ ]*=.*$%CHILL_FOR_TARGET = ${CHILL_FOR_TARGET}%" \
1471 -e "s%^CXX_FOR_TARGET[ ]*=.*$%CXX_FOR_TARGET = ${qCXX_FOR_TARGET}%" \
1472 -e "s%^CXX_FOR_TARGET_FOR_RECURSIVE_MAKE[ ]*=.*$%CXX_FOR_TARGET_FOR_RECURSIVE_MAKE = ${qqCXX_FOR_TARGET}%" \
1473 -e "s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%" \
1474 -e "s%^BUILD_SUBDIR[ ]*=.*$%BUILD_SUBDIR = ${build_subdir}%" \
1475 -e "s%^BUILD_CONFIGARGS[ ]*=.*$%BUILD_CONFIGARGS = ${buildargs}%" \
1476 -e "s%^gxx_include_dir[ ]*=.*$%gxx_include_dir=${gxx_include_dir}%" \
1477 Makefile > Makefile.tem
1478 rm -f Makefile
1479 mv -f Makefile.tem Makefile
1482 # Local Variables:
1483 # fill-column: 131
1484 # End: